## ipython 0.7.3-2.maemo2

=== debian/changelog ===
ipython (0.7.3-2.maemo2) unstable; urgency=low

  * libreadline4 added to dependency list 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 18 Mar 2007 12:46:37 +0200

ipython (0.7.3-2.maemo1) unstable; urgency=low

  * Maemo build
  * ipmaker.py: Add _Helper class (not present in site.py from python2.5) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun,  4 Mar 2007 00:39:39 +0200

ipython (0.7.3-2) unstable; urgency=low

  * Added a new patch from svn to fix jobctrl to work properly on posix.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 21 Dec 2006 20:13:57 +0100

ipython (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 18 Dec 2006 22:23:55 +0100

ipython (0.7.3~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 16 Dec 2006 02:20:13 +0100

ipython (0.7.3~beta2-1) experimental; urgency=low

  * New upstream beta release.

 -- Norbert Tretkowski <nobse@debian.org>  Fri,  8 Dec 2006 08:02:16 +0100

ipython (0.7.3~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Removed backported patch added in 0.7.2-5 to workaround bugs in python
    2.3's inspect module.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 29 Nov 2006 12:35:22 +0100

ipython (0.7.2-6) UNRELEASED; urgency=low

  * Added XS-Vcs-Svn field.

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 23 Nov 2006 14:44:43 +0100

ipython (0.7.2-5) unstable; urgency=low

  * Added a new patch from svn to workaround bugs in python 2.3's inspect
    module. (closes: #374625)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 10 Aug 2006 18:36:12 +0200

ipython (0.7.2-4) unstable; urgency=low

  * Fixed spelling error in description. (closes: #363976)
  * Ack NMU 0.7.2-3.1, thanks Matthias. (closes: #377787)

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  1 Aug 2006 22:45:11 +0200

ipython (0.7.2-3.1) unstable; urgency=medium

  * NMU.
  * Convert to updated Python policy. (closes: #377787)

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2006 17:42:06 +0000

ipython (0.7.2-3ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.
  * Convert to updated Python policy. Collapse all packages into one
    ipython package, don't handle ipython using alternatives.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jul 2006 09:47:37 +0000

ipython (0.7.2-3) unstable; urgency=low

  * Removed alternative for irunner manpage.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 17 Jun 2006 09:49:10 +0200

ipython (0.7.2-2) unstable; urgency=medium

  * Fixed conflict in irunner. (closes: #373874)
  * Added recommendation for python-pexpect. (closes: #373794)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 16 Jun 2006 10:43:45 +0200

ipython (0.7.2-1) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Added watch file.

  [ Norbert Tretkowski ]
  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  8 Jun 2006 23:36:03 +0200

ipython (0.7.1.fix1+0.7.2.rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Updated Standards-Version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 27 May 2006 14:49:24 +0200

ipython (0.7.1.fix1-2) unstable; urgency=low

  * Set maintainer to Debian Python modules team and added myself to
    uploaders.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 16 Apr 2006 15:53:43 +0200

ipython (0.7.1.fix1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Removed backported patch which was added in 0.7.1-3 to catch
    KeyboardInterrupt exceptions properly, it's part of this release.
  * Fixed names of pdfs in doc-base file to shut up linda.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 14 Feb 2006 23:51:17 +0100

ipython (0.7.1-3) unstable; urgency=low

  * Added a new patch from upstream to catch KeyboardInterrupt exceptions
    properly.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 30 Jan 2006 19:42:31 +0100

ipython (0.7.1-2) unstable; urgency=low

  * Really remove alternatives on purge, thanks Lars Wirzenius for finding
    the problem. (closes: #317269)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 29 Jan 2006 23:11:28 +0100

ipython (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 24 Jan 2006 21:42:33 +0100

ipython (0.7.0-2) unstable; urgency=low

  * Fixed circular dependencies (closes: #341980)
  * Added version to dependency on ipython dummy package. (closes: #320235)
  * Removed python2.2 package, ipython now depends on python >= 2.3.
  * Bumped up standards-version, no changes needed.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 21 Jan 2006 23:27:53 +0100

ipython (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Updated 01_docdir-base.dpatch and 02_profiler-message.dpatch.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 21 Jan 2006 20:08:23 +0100

ipython (0.6.15-2) unstable; urgency=low

  * New maintainer, thanks Jack for your work.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 28 Aug 2005 19:57:09 +0200

ipython (0.6.15-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  2 Jun 2005 23:51:45 +0200

ipython (0.6.14-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 31 May 2005 22:53:25 +0200

ipython (0.6.13-1) unstable; urgency=low

  * New upstream release.
  * Removed backported patch which was added in 0.6.12-3 to fix misleading
    prompt, it's part of this release.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 15 Apr 2005 09:42:35 +0200

ipython (0.6.12-4) unstable; urgency=medium

  * Re-added python build-dependency, it got lost in 0.6.12-2.
    (closes: #301636)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 27 Mar 2005 14:28:26 +0200

ipython (0.6.12-3) unstable; urgency=low

  * Added a new patch from cvs to fix misleading prompt2. (closes: #300847)


