=== debian/control ===
Source: ipython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <nobse@debian.org>
Build-Depends-Indep: debhelper (>= 4), dpatch (>= 2.0.10), python2.5-dev (>= 2.5.0-1osso10)
XS-Python-Version: all
XS-Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
Standards-Version: 3.7.2.1

Package: ipython
Architecture: all
Depends: python2.5-dev, libreadline4
Recommends: python-numeric, python-numeric-ext, python-pexpect
Conflicts: python2.3-ipython, python2.4-ipython, ipython-common
Replaces: python2.3-ipython, python2.4-ipython, ipython-common
XB-Python-Version: all
Suggests: python-profiler
Description: enhanced interactive Python shell
 IPython is an enhanced interactive Python shell. It can be used as a
 replacement for the standard Python shell, or it can be used as a
 complete working environment for scientific computing (like Matlab or
 Mathematica) when paired with the standard Python scientific and
 numerical tools. It supports dynamic object introspections, numbered
 input/output prompts, a macro system, session logging, session
 restoring, complete system shell access, verbose and colored traceback
 reports, auto-parentheses, auto-quoting, and is embeddable in other
 Python programs.
 .
 Homepage: http://ipython.scipy.org/
