=== debian/watch ===
version=3
http://ipython.scipy.org/dist/ ipython-(.*)\.tar\.gz
