## ipython 0.10-1maemo2

=== debian/changelog ===
ipython (0.10-1maemo2) unstable; urgency=low

  * fill all empty __init__.py files with # for proper installation
  * rules to build with current SDK+autobuilder
  * add icon and menu item

 -- Thomas Tanner <tanner@maemory.com>  Wed, 27 Jan 2010 00:00:00 +0100

ipython (0.10-1maemo1) unstable; urgency=low

  * Update to 0.10 (from Debian squeeze)

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Sun, 11 Oct 2009 23:47:22 -0400

ipython (0.10-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * New upstream version.

  [ Stefano Zacchiroli ]
  * debian/control: fix (build)deps on python-zope-interface, new package
    name is python-zope.interface (Closes: #543128)

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.8.3
    - debian/README.source file added

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 07 Sep 2009 20:37:17 +0200

ipython (0.9.1-3maemo1) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Update to 0.9.1 (from Debian sid)
  * Add the following patches from pymaemo:
   - 02-docdir-base.patch
   - 03-profiler-message.patch
   - 04-ipmaker-add-missed-Helper.patch

  [ Anderson Lizardo ]
  * debian/control:
    + Remove "Uploaders" field (not applicable to maemo).
    + Put the pymaemo-developers mailing list address in "Maintainer" field and
      move original value to a separate field.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 31 Mar 2009 15:01:09 -0400

ipython (0.9.1-3) unstable; urgency=low

  [ Stephan Peijnik ]
  * Fixed broken Suggest on libjs-jquery (typo, was: libjs-query).

  [ Emilio Pozuelo Monfort ]
  * debian/rules: remove chmod calls, they are not needed and are
    modifying files in pysupport's directories which may change.
    Closes: #516274.

 -- Stephan Peijnik <debian@sp.or.at>  Thu, 19 Feb 2009 07:32:37 +0100

ipython (0.9.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stephan Peijnik <debian@sp.or.at>  Mon, 16 Feb 2009 07:55:45 +0100

ipython (0.9.1-1) experimental; urgency=low

  [ Stephan Peijnik ]
  * New upstream release (Closes: #500556).
  * Cleaned up debian/ because the upstream tarball is clean since 0.8.4-1:
    - Removed debian/uscan-dfsg-clean.sh.
    - Removed debian/README.Debian-source.
    - Updated debian/watch.
  * Removed debian/patches/05_fix_path_import.dpatch - fixed upstream.
  * Added myself to Uploaders.
  * Switched from dpatch to quilt patch system.
  * Added debian/patches/06_ipythonwx_importerror.patch.
    Provides more usable error message when trying to execute ipython-wx
    without python-wxgtk2.8 installed.
  * Updated build dependencies and recommends.
    - Added recommends: 
      + global (required by ipy_gnuglobal IPython extension)
      + python (>= 2.5) | python-ctypes
      + python-openssl
      + python-wxwidgets2.8 (needed by ipythonx and ipython-wx)
      + python-foolscap
      + python-twisted-core
      + python-zope-interface
    - Added build dependencies (Build-Depends-Indep): 
      + python-sphinx (needed for building the documentation)
      + python-pygments (needed for syntax highlighting in documentation)
      + python-foolscap
      + python-twisted-core
      + python-zope-interface
      + python-openssl
      + python (>= 2.5) | python-ctypes
      + python-nose
    - Added suggests:
      + libjs-query (needed by documentation to be searchable)
      + python-gobject
      + python-gtk2
      + python-qt3 | python-qt4
  * Added final newline to debian/manpages to get rid of a build-warning.
  * Updated debian/rules so parts of the html documentation are not compressed
    and thus rendered unusable.
  * Wrote manpages for ipcluster, ipcontroller, ipengine, ipythonx and 
    ipython-wx.
  * Fixed invalid Recommend on python-wxwidgets2.8 
    (should have been python-wxgtk2.8 in the first place).
  
  [ Serafeim Zanikolas ]
  * Remove embedded copy of jquery.js and instead depend on libjs-jquery.
  * Fix import of path in ipipe.py (Closes: #486923).

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Stephan Peijnik <debian@sp.or.at>  Mon, 29 Dec 2008 18:21:24 +0100

ipython (0.8.4-1) unstable; urgency=low

  [ Norbert Tretkowski ]
  * Remove myself from uploaders.

  [ Sandro Tosi ]
  * debian/control
    - removed Suggests on python-numeric and added for python-numpy (Closes:
      #478449)

  [ Piotr Ożarowski & Bernd Zeimetz ]
  * Replace all /usr/bin/ipythonX.Y with a shell script which detects desired
    Python version before invoking IPython. Package depends on default Python
    version only again (Closes: #476661).

  [ Bernd Zeimetz ]
  * New upstream version.
  * Dropping .dfsg. from the version, the documentation is using python-sphinx
    now, and included in the source. Also dropping debian/uscan-dfsg-clean.sh
    and updating debian/watch accordingly.
  * debian/patches:
    - dropping the following patches - applied usptream / not needed anymore.
      01_docdir-base.dpatch
      02_profiler-message.dpatch
      05_no_manual_dir.dpatch
    - updating the following patches:
      04_remove_shebang.dpatch
  * debian/rules:
    - dropping get-orig-source target, not needed anymore.

  [ Ondrej Certik ]
  * standards-version updated to 3.8.0
  * DM-Upload-Allowed: yes field added and Ondrej added to Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 09 Jun 2008 23:13:00 +0200

ipython (0.8.2.dfsg-2) unstable; urgency=low

  * debian/rules:
    - Creating /usr/bin/ipythonX.Y wrappers for all python versions. Thanks to
      martin f. krafft (Closes: #461188).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Jan 2008 11:17:49 +0100

ipython (0.8.2.dfsg-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version. Manually adding the source of the documentation to
    the tarball. It will be shipped by upstream with the next release.
    (Closes: #458383)
  * debian/uscan-dfsg-clean.sh, debian/watch, debian/rules:

