=== debian/control ===
Source: ipython
Section: user/development
Priority: optional
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python, python-support (>= 0.4), quilt
Homepage: http://ipython.scipy.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
Standards-Version: 3.8.3
DM-Upload-Allowed: yes

Package: ipython
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Conflicts: python2.3-ipython, python2.4-ipython, python2.5-ipython, ipython-common
Replaces: python2.3-ipython, python2.4-ipython, python2.5-ipython, ipython-common
Suggests: python-profiler, python-numpy, python-matplotlib, libjs-jquery, python-gobject, python-gtk2, python-qt3 | python-qt4
Recommends: python-wxgtk2.8, global, python-openssl (>= 0.6), python (>= 2.5) | python-ctypes, python-foolscap, python-zope.interface, python-twisted-core
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
XB-Maemo-Display-Name: IPython
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO
 7oxXAAAJuUlEQVRo3tVZX2xb1Rn/nXNP7r32dWwndtP8oW3CmrYpGv86TSKs
 e2GbKPAwQNuEOiYNiRfe9sIQD6Bp0ngZGht7Qeo0wRjTGGN/EZqENKmI0ilN
 mzZp0tZJnMTGThz/uY6v7evre87ZQ+vUcR3bKWWwTzqK8uV+3/l+5/tzvu+E
 SCnx/0ysGVMIobmu2+26Luec5wgh6Orq0iil3fWApZQCgMU5d4QQ8Hq9oJR+
 /gASicSjFy5c+MPExMRcNBo9bBgGjh49+p1AIPC7arW6+V2lUlmpVCovxmKx
 P8Xj8eKzzz6Lffv2ff4ALMvC3NwcZmZmQAiB1+vF+vo6kskkbNve/I5SujcY
 DJ5gjAVUVf0VIeR/Ho9NAVQqFSwvLyOdTiMYDEJKCcuykEqlYJomhBAAAFVV
 EQqFFF3Xn5dS/hHA6hcCgJQSQogbFuccqVQK+XweAODz+VCpVNDT09Nn2/b3
 pZQ//8IAqK2a8VJKcM6xsrKykk6n5wDAMIwQIeRuxhjjnH9bCPEqgMrnDqAZ
 iBqAarX6nmEYz1BKIYS4M51O/zoQCBxVFOVgMpncMzIyMg8AuXJuv+VYdwpc
 Dbe1wlrOqlj/JpQ03Y8SiiH/0IiqqPdISEACmXKmfO/Ave/fFICa0Y1e0HUd
 4XAYmqbBtu0LxWLxRdu2/+7xeHrPnDlzcHx8fB4ALqxdeORM8swvMqUMBAQm
 ZyYn1931r7Du5luqiooHRh74JqX0NYc78Kk+TEYnP3n3B+/etmMA9afemAeM
 Mfj9fng8HriuC1VV/yOlnJZS3ieEOATgPQBIlVL4cPZDXDp/CVxwlGIl9NzT
 g+0AcMkxGZ3E8swyXO5i78G9WI23rwkdJ3EzHqUUhmGUAJwGcF8kEjlY01Fy
 SliKLOHRwUdfuXjpIk5GT8aC9wS3NUQIgeWV5en4v+KvAAD10QecrNN7UwC2
 C6FGIACgKAoYYxc555iamhrcoqMq8NJzL/3ozfffxNnCWTDftttBQgIMHxsj
 xseEEfQM9Ly2nl1/+JZ5oBEA5xwAQCmFrutL5XIZnHN/vZ5awur9Onq/2gtm
 sJbGaGENoftD0FQNQ7uHkJnLtLN/ewCc8y3GbucBANA0zaxWqxBCeLcoutYW
 UZ1C7VHbGkNVCi2swVANGF0GCEhbmR17oH5tKmGsoigKhBBa2x1vMTVtHRur
 UM0DNa9wzjfXtWTmhBBwzpXP0tiZ1MxP35l957fJQnKztG7b+3ZSheqqEZNS
 wnVdt5UBDwYffO4YO/YbvapvqS4HvAeGH/c//udd6V2PtJKfWp069va5t5/I
 5rPBth6oj/t6L9R7pcZjjGnXALRsI5SUMqwltCdQQX89vxvdh8gSeawQLbQM
 wagZRWQxAl7hm7y2AOoNbeTVKpGu692u68JxnEIrA6bz09NLS0s6jdHb6/l7
 xJ6xqakp2wpZC63kbdeGXbaB6+m3PYD6O6BZFaoBUFUVPp9vr23bqFaryVYG
 WMKaqVarhNp0fz1f49poIpHISF3uuB3vKIRaeaC7uxsej2fMsiw89NBD8Tb7
 RQBAjatjW07Wtsfy+fwqCLKthNeyayjHy5Di+tzUcQg1AqqFz9DQkAJg3DRN
 GIax2MoAM2yucs6ztErvqPFCJBRgG2zI9trzrI85reSTE0mY50xI9zqAlq1E
 fcjU/5RSghCCwcFBjI6O7kkkEmP5fB5CiNlWBghFCNd1LxFCNkNIgdK7YW6E
 qrw6S5TWF9dbL7z1Dfc5lwX8AbMlgO08UIv5kZERDAwMYHR0FIFA4IenTp0K
 FQqFtePHj0fRhoQQs5TS+5R5Jcz38/Qhcqh/fX29R71TvdhONmAETBhbeTtq
 JaSU6OvrY+Pj495QKATDMJ5KJBIvRCIRlEqlOcZYsp0R5oA5oy6oRHK5H0Ba
 cHFHIpEgGMJMO9lm1DIHGpcQArt27XoaQLFcLhfj8firH330EWKxGDjn/ySE
 8HYbCiLmCSESHIcBQDhify6XK9Eu2tZ7zWhHHuCcI51O4/Tp02CMYWNjA4uL
 izBNs8gY+72itO8krEErql5RbVzBYRwGBqyBMdM05427Daet8E4AbPcqkc1m
 kU6nce3mxcbGhlupVE4Eg8FVQtp3j1LKddd110GwHxzEsqy9ZV6eNRqD+1Z4
 oNlNXCwWUa1WIaWE4ziWbdvnGGM/07TOGlGpyCwnPIkcvqRndZ9pmqPsIPvL
 TVmPDspoYwgVCoWkbdvz1z47ryjKLw3DSFFK0clDsfAL7nidK8Qk3xrG8L2p
 VMrLOb9ySwE05kDDBfZXRVGeIYSAEAJd16Fp2pb5oB25uhshhHxXd/X7E5lE
 hfbRS7ccQBPDwTmvjZBQFAWEECiKsgVwRwAG3It0kWrejPdYKpXKer/mXbtZ
 ADvqRusHeUVRUAub+taiExJCzAohEIvFjpi2uUq91PzMPNBsNhBCoFnF6fif
 JUEsOY5TXFpaMriXL3T1dpU/EwDNjK/97dMQGSS267rLlUrlsKu6c59GV9uR
 slkz1+rJpeOTY+yy4zhQB9TztxxAs5t4u5a6cTrrlHwjvgXXdaHv0TsuoQvZ
 hWc+WPzgJ+lSendbAK1OuVlO7NQDQ/1DlHNe9Ax7ljqVmUhMPPX6xOs/Tpmp
 XS0BALghXDoJoZ1QgAfGbNte0Qd1q1OZqBnF3MIcePm6t9tWIUJIx0m8Ew/Y
 tv1lx3E+3gloy7FQtIpbRsqOn9cbJ7JPU4nCdvi2VCrV7z3gnb5pJa0A1EBs
 Fy61NqIdKdrV9jqgB9Bn9CFdSkNIAY/rGY2uRVlXb1ek9i0hBGFvGAEtAG+X
 F94u7w36MvkM7FV7Zx6oB9P4ezO5etJCVzvU3cZuDAeHkSlnAAn0FnqPTKQn
 bP/X/ZsVSCEK7tp9F4b8Q2CUIVfO3XBIiXMJ5M/nOx/qawbd7CXWHezGibMn
 zgT0AArlwpxbcZ8kXQQo4VAmkzH9fv9mD0QJRdgbfiyoB58XUiBTyuwTUmx5
 6Xv56ZefLH6v6Dlw+4HNB7CmADY2NpDL5TbDxXVdJJNJZDKZjpPYtE2sxdbw
 RumNI5pPQ/JcEiRM4NN96vTJ6bscx0kASG/KQuJy5nL45PLJI+VqGcV0EcVk
 8ZN6/aN7Rm+4tZsCqA0tNXJdFysrK2jzdruFMssZxP8RR4zHQAiB5BL9D/ej
 YBeCkbOR3fqgfsoz6Nk8YS44zl48i5W/rUC4ApJLcKf95UiaxbJt25plWd0A
 OIDcNbYGoBuADaBp7Q4Gg2Ds6pkUK0WPXbLr50SXqtQEQHmZB0FRZV625S1V
 CqmLivDVsUSoJ9TytY7spHZ/Eem/yqxtCVlRFF0AAAAldEVYdGNyZWF0ZS1k
 YXRlADIwMTAtMDEtMjdUMjM6NTQ6MDUrMDE6MDAp+UB5AAAAJXRFWHRtb2Rp
 ZnktZGF0ZQAyMDA5LTA3LTEwVDIwOjQ1OjM5KzAyOjAwuPMs8gAAABl0RVh0
 U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAAASUVORK5CYII=
