## ipython 0.10.2-1maemo1

=== debian/changelog ===
ipython (0.10.2-1maemo1) stable; urgency=low

  IPython 0.10.2 Maemo1 (21/02/2012) :
   * IPython 0.10.2 (09/04/2011) for Maemo 5 Fremantle;
   * IPython 0.10.2 is optified and takes 6.3 MB after install.


 -- The IPython Development Team <ipython-dev@scipy.org>  Wed, 22 Feb 2012 00:16:24 +0000
